# texture.FilesystemFinder

moderngl_window.finders.texture.FilesystemFinder

  Find textures in `settings.TEXTURE_DIRS`

## Methods

FilesystemFinder.__init__()

  Initialize finder class by looking up the paths referenced in `settings_attr`.

FilesystemFinder.find(path: Path) → Path

  Finds a file in the configured paths returning its absolute path.

  Parameters:

    path (pathlib.Path) – The path to find

  Returns:

    The absolute path to the file or None if not found

## Attributes

FilesystemFinder.settings_attr = 'TEXTURE_DIRS'

  Name of the attribute in `Settings` containing a list of paths the finder should search in.

  Type:

    str